package model

import (
	"time"
)

type TaLuckdraw struct {
	Id           int       `xorm:"not null pk autoincr INT(11)"`
	Name         string    `xorm:"VARCHAR(50)"`
	ThemeId      int       `xorm:"INT(11)"`
	LuckdrawRule string    `xorm:"TEXT"`
	BeginDate    time.Time `xorm:"DATETIME"`
	EndDate      time.Time `xorm:"DATETIME"`
	OrgId        string    `xorm:"VARCHAR(64)"`
	CaseId       int       `xorm:"INT(11)"`
	CreateDate   time.Time `xorm:"DATETIME"`
	CreateUser   string    `xorm:"VARCHAR(64)"`
	Remark       string    `xorm:"TEXT"`
	Status       int       `xorm:"SMALLINT(6)"`
}
