package model

import (
	"time"
)

type TaLuckdrawRecord struct {
	Id           int       `xorm:"not null pk autoincr INT(11)"`
	LuckdrawId   int       `xorm:"INT(11)"`
	PrizeId      int       `xorm:"INT(11)"`
	PrizeName    string    `xorm:"VARCHAR(50)"`
	UserId       int       `xorm:"INT(11)"`
	UserName     string    `xorm:"VARCHAR(50)"`
	UserHeadImg  string    `xorm:"TEXT"`
	CreateDate   time.Time `xorm:"DATETIME"`
	Status       int       `xorm:"SMALLINT(6)"`
	WriteoffDate time.Time `xorm:"DATETIME"`
	OrgId        string    `xorm:"VARCHAR(64)"`
	CaseId       int       `xorm:"INT(11)"`
}
