package statistics

import (
	"spaceofcheng/services/models/model"
	"spaceofcheng/services/utils"
	"strings"
)

// StaDashboard 控制板统计
func (s *StatisticsServ) StaDashboard() ([]map[string]interface{}, error) {
	// user := s.ctx.Get("user").(model.SysUser)
	// userTypes, err := s.dao.GetUserTypes(user.UserId)
	// if err != nil {
	// 	utils.LogError("获取用户类型失败: " + err.Error())
	// 	return nil, errors.New("获取用户类型失败")
	// }

	// tps := make([]string, 0)
	// if userTypes != nil {
	// 	for _, tp := range userTypes {
	// 		tps = append(tps, tp.TypeId)
	// 	}
	// }

	// settings, err := s.dao.GetDashboardSetting(user.UserId, tps)
	// if err != nil {
	// 	utils.LogError("获取用户 Dashboard 配置失败: " + err.Error())
	// 	return nil, errors.New("获取用户 Dashboard 配置失败")
	// }

	// comps := s.distinctDashSettings(settings)

	return nil, nil
}

// distinctDashSettings 去重 dashboard 配置
func (s *StatisticsServ) distinctDashSettings(settings []model.TaDashboardSetting) []string {
	comps := make([]string, 0)

	if settings == nil || len(settings) == 0 {
		return comps
	}

	for _, s := range settings {
		comps = append(comps, s.CompList)
	}

	allComps := strings.Split(strings.Join(comps, ","), ",")

	res := make([]string, 0)
	for _, cmp := range allComps {
		if utils.StrSliceIndexOf(res, cmp) == -1 {
			res = append(res, cmp)
		}
	}

	return res
}
