package luckdrawlist

import (
	"spaceofcheng/services/models/model"
	"spaceofcheng/services/utils"

	"github.com/go-xorm/xorm"
)

// LuckdrawDAO 当前数据库操作对象
type LuckdrawDAO struct {
	ctx *utils.Context
	db  *xorm.Session
}

// NewLuckdrawDAO New Inst
func NewLuckdrawDAO(ctx *utils.Context) *LuckdrawDAO {
	return &LuckdrawDAO{
		ctx: ctx,
		db:  ctx.DB,
	}
}

type Luckdraw struct {
	model.TaLuckdrawRecord `xorm:"extends"`
	CaseName               string
	ActivitName            string
	Name                   string
	CustomerName           string
	Phone                  string
}
