package model

import (
	"time"
)

type TaShareLuckyRecord struct {
	Id                 int       `xorm:"not null pk autoincr INT(11)"`
	FromCustomerId     int       `xorm:"INT(11)"`
	FromCustomerName   string    `xorm:"VARCHAR(32)"`
	FromCustomerWxname string    `xorm:"VARCHAR(64)"`
	FromCustomerTel    string    `xorm:"VARCHAR(32)"`
	ToCustomerId       int       `xorm:"INT(11)"`
	ToCustomerName     string    `xorm:"VARCHAR(32)"`
	ToCustomerWxname   string    `xorm:"VARCHAR(64)"`
	ToCustomerTel      string    `xorm:"VARCHAR(32)"`
	CreateDate         time.Time `xorm:"DATETIME"`
	CaseId             int       `xorm:"INT(11)"`
	Status             int       `xorm:"SMALLINT(6)"`
	LuckydrawId        int       `xorm:"INT(11)"`
	LuckydrawName      string    `xorm:"VARCHAR(128)"`
}
